package com.imprimelibros.erp.presupuesto.classes;

import static com.imprimelibros.erp.presupuesto.marcapaginas.Marcapaginas.Papeles;
import static com.imprimelibros.erp.presupuesto.marcapaginas.Marcapaginas.Acabado;
import static com.imprimelibros.erp.presupuesto.marcapaginas.Marcapaginas.Tamanios;
import static com.imprimelibros.erp.presupuesto.marcapaginas.Marcapaginas.Caras_Impresion;

import jakarta.validation.constraints.Min;

public class PresupuestoMarcapaginas {

    @Min(value = 100, message = "{validation.min}")
    private Integer unidades = 100;
    private Tamanios tamanio = Tamanios._50x140_;
    private Caras_Impresion carasImpresion = Caras_Impresion.una_cara;
    private Papeles papel = Papeles.cartulina_grafica;
    private Integer gramaje = 300;
    private Acabado acabado = Acabado.ninguno;


    public Integer getUnidades() {
        return unidades;
    }
    public void setUnidades(Integer unidades) {
        this.unidades = unidades;
    }
    public Tamanios getTamanio() {
        return tamanio;
    }
    public void setTamanio(Tamanios tamanio) {
        this.tamanio = tamanio;
    }
    public Caras_Impresion getCarasImpresion() {
        return carasImpresion;
    }
    public void setCarasImpresion(Caras_Impresion carasImpresion) {
        this.carasImpresion = carasImpresion;
    }
    public Papeles getPapel() {
        return papel;
    }
    public void setPapel(Papeles papel) {
        this.papel = papel;
    }
    public Integer getGramaje() {
        return gramaje;
    }
    public void setGramaje(Integer gramaje) {
        this.gramaje = gramaje;
    }
    public Acabado getAcabado() {
        return acabado;
    }
    public void setAcabado(Acabado acabado) {
        this.acabado = acabado;
    }    
}
